Process Return
curl --request POST \
--url https://api.getredo.com/v2.2/returns/{returnId}/process \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"products": [
{
"_id": "64e4d5e837572a4813b73e41",
"processInput": {
"newMerchantAdjustment": 123,
"restock": true
},
"reject": false
}
],
"customerNotes": "<string>"
}
'import requests
url = "https://api.getredo.com/v2.2/returns/{returnId}/process"
payload = {
"products": [
{
"_id": "64e4d5e837572a4813b73e41",
"processInput": {
"newMerchantAdjustment": 123,
"restock": True
},
"reject": False
}
],
"customerNotes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
products: [
{
_id: '64e4d5e837572a4813b73e41',
processInput: {newMerchantAdjustment: 123, restock: true},
reject: false
}
],
customerNotes: '<string>'
})
};
fetch('https://api.getredo.com/v2.2/returns/{returnId}/process', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}Returns
Process Return
BETA: This endpoint is in beta and subject to change.
Trigger processing of a return with specified products.
POST
/
returns
/
{returnId}
/
process
Process Return
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Return ID
Example:
"64e4d5e837572a4813b73e40"
Body
application/json
Response
Processing request completed
Status message
Examples:
"Processing triggered successfully"
"Successfully prepared some products to be processed, once all products are ready, processing will be triggered"
Was this page helpful?
⌘I